package Domain;

public class FullHouse extends Category{

    public FullHouse(Player player) {
        super("Full House", "1 Pair and 1 triplet");
    }

    @Override
    public boolean correctCategory(int[] values){

        int one = 0, two = 0, three = 0, four = 0, five = 0;
        for(int i = 0; i < values.length; i++){
            switch(i){
                case 1:
                    one += 1;
                case 2:
                    two += 1;
                case 3:
                    three += 1;
                case 4: 
                    four += 1;
                case 5:
                    five += 1;
                    break;
            }
        }
        if((one == 3 || two == 3 || three == 3 || four == 3 || five == 3) && (one == 2 || two == 2 || three == 2 || four == 2 || five == 2)){
            return true;
        }

    return false;
    }

    @Override
    public int getScore(int[] values){
        return 30;
    }
    
}
