package Domain;

public class TwoPairs extends Category{

    private int one = 0, two = 0, three = 0, four = 0, five = 0;

    public TwoPairs(Player player) {
        super("Two Pairs", "Two times the same dice");
    }

    //Weitere methode einfügen falls mehrere paare vorhanden sind

    @Override
    public boolean correctCategory(int[] values){

        for(int i = 0; i < values.length; i++){
            switch(i){
                case 1:
                    one += 1;
                case 2:
                    two += 1;
                case 3:
                    three += 1;
                case 4: 
                    four += 1;
                case 5:
                    five += 1;
                    break;
            }
        }
        if(one == 2 || two == 2 || three == 2 || four == 2 || five == 2){
            return true;
        }

    return false;
    }

    @Override
    public int getScore(int[] values){

        if(one == 2){
            return 2;
        }
        else if(two == 2){
            return 4;
        }
        else if(three == 2){
            return 16;
        }
        else if(four == 2){
            return 8;
        }
        else if(five == 2){
            return 10;
        }
        return 0;
    }
}
