package Domain;

public class Sixes extends Category{
    
    private Player player;

    public Sixes(Player player) {
        super("Sixes", "Score of all the sixes rolled.");
        this.player = player;
    }

    @Override
    public boolean correctCategory(int[] values){
        for(int i : values){
            if(i == 6){
                return true;
            }
        }
        return false;
    }

    @Override
    public int getScore(int[] values){
        int score = 0;
        for(int i : values){
            if( i == 6 ){
                score += 6;
            }
        }
        return score;
    }
}
